function testing(value)   
while(1)
    [a,angle_position_read_by_computer]=read_sig(value.Serial_Obj);
    fprintf('Match this to the actual dc motor position reading, press Ctrl+C to stop testing function:');
    angle_position_read_by_computer
    
        
end
end
